diff -ur a/src/frontend_fox/CCueListDialog.cpp b/src/frontend_fox/CCueListDialog.cpp
--- a/src/frontend_fox/CCueListDialog.cpp	2014-03-14 05:25:15.477307430 -0500
+++ b/src/frontend_fox/CCueListDialog.cpp	2014-03-14 05:30:03.752296820 -0500
@@ -86,7 +86,7 @@
 	// make cueList have a fixed width font
 	FXFont *listFont=cueList->getFont();
         FXFontDesc d;
-        listFont->getFontDesc(d);
+        d = listFont->getFontDesc();
 	strcpy(d.face,"courier");
         listFont=new FXFont(getApp(),d);
 	cueList->setFont(listFont);
diff -ur a/src/frontend_fox/CKeyBindingsDialog.cpp b/src/frontend_fox/CKeyBindingsDialog.cpp
--- a/src/frontend_fox/CKeyBindingsDialog.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/CKeyBindingsDialog.cpp	2014-03-14 05:29:25.463298229 -0500
@@ -157,7 +157,7 @@
 
 			/*
 				soundListFont=getApp()->getNormalFont();
-				shuttleFont->getFontDesc(d);
+				d = shuttleFont->getFontDesc();
 				d.weight=FONTWEIGHT_NORMAL;
 				d.size=80;
 				soundListFont=new FXFont(getApp(),d);
@@ -165,7 +165,7 @@
 				soundList->setFont(soundListFont);
 
 				soundListHeaderFont=getApp()->getNormalFont();
-				shuttleFont->getFontDesc(d);
+				d = shuttleFont->getFontDesc();
 				d.weight=FONTWEIGHT_BOLD;
 				d.size=80;
 				soundListHeaderFont=new FXFont(getApp(),d);
diff -ur a/src/frontend_fox/CMainWindow.cpp b/src/frontend_fox/CMainWindow.cpp
--- a/src/frontend_fox/CMainWindow.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/CMainWindow.cpp	2014-03-14 05:29:25.469298229 -0500
@@ -245,7 +245,7 @@
 			u=new FXVerticalFrame(t,FRAME_NONE, 0,0,0,0, 0,0,0,0, 0,0);
 
 			shuttleFont=getApp()->getNormalFont();
-			shuttleFont->getFontDesc(d);
+			d = shuttleFont->getFontDesc();
 			d.weight=FONTWEIGHT_LIGHT;
 			d.size=65;
 			shuttleFont=new FXFont(getApp(),d);
@@ -305,7 +305,7 @@
 			soundList=new FXIconList(t,this,ID_SOUND_LIST,HSCROLLER_NEVER|ICONLIST_BROWSESELECT|LAYOUT_FILL_X|LAYOUT_FILL_Y);
 
 				soundListFont=getApp()->getNormalFont();
-				shuttleFont->getFontDesc(d);
+				d = shuttleFont->getFontDesc();
 				d.weight=FONTWEIGHT_NORMAL;
 				d.size=80;
 				soundListFont=new FXFont(getApp(),d);
@@ -313,7 +313,7 @@
 				soundList->setFont(soundListFont);
 
 				soundListHeaderFont=getApp()->getNormalFont();
-				shuttleFont->getFontDesc(d);
+				d = shuttleFont->getFontDesc();
 				d.weight=FONTWEIGHT_BOLD;
 				d.size=80;
 				soundListHeaderFont=new FXFont(getApp(),d);
diff -ur a/src/frontend_fox/CMetersWindow.cpp b/src/frontend_fox/CMetersWindow.cpp
--- a/src/frontend_fox/CMetersWindow.cpp	2014-03-14 05:25:15.478307430 -0500
+++ b/src/frontend_fox/CMetersWindow.cpp	2014-03-14 05:29:25.472298229 -0500
@@ -98,7 +98,7 @@
 
 		// create the font to use for numbers
 		FXFontDesc d;
-		statusFont->getFontDesc(d);
+		d = statusFont->getFontDesc();
 		d.size=60;
 		d.weight=FONTWEIGHT_NORMAL;
 		statusFont=new FXFont(getApp(),d);
@@ -341,7 +341,7 @@
 
 		// create the font to use for numbers
 		FXFontDesc d;
-		statusFont->getFontDesc(d);
+		d = statusFont->getFontDesc();
 		d.size=60;
 		d.weight=FONTWEIGHT_NORMAL;
 		statusFont=new FXFont(getApp(),d);
@@ -513,7 +513,7 @@
 
 		// create the font to use for numbers
 		FXFontDesc d;
-		statusFont->getFontDesc(d);
+		d = statusFont->getFontDesc();
 		d.size=60;
 		d.weight=FONTWEIGHT_NORMAL;
 		statusFont=new FXFont(getApp(),d);
@@ -749,7 +749,7 @@
 
 		// create the font to use for numbers
 		FXFontDesc d;
-		statusFont->getFontDesc(d);
+		d = statusFont->getFontDesc();
 		d.size=60;
 		d.weight=FONTWEIGHT_NORMAL;
 		statusFont=new FXFont(getApp(),d);
@@ -1060,7 +1060,7 @@
 {
 	// create the font to use for meters
 	FXFontDesc d;
-	statusFont->getFontDesc(d);
+	d = statusFont->getFontDesc();
 	d.size=60;
 	d.weight=FONTWEIGHT_NORMAL;
 	statusFont=new FXFont(getApp(),d);
diff -ur a/src/frontend_fox/CSoundWindow.cpp b/src/frontend_fox/CSoundWindow.cpp
--- a/src/frontend_fox/CSoundWindow.cpp	2014-03-14 05:25:15.478307430 -0500
+++ b/src/frontend_fox/CSoundWindow.cpp	2014-03-14 05:29:25.480298228 -0500
@@ -182,7 +182,7 @@
 	
 	// create the font to use for status information
         FXFontDesc d;
-        statusFont->getFontDesc(d);
+        d = statusFont->getFontDesc();
         d.size-=10;
         statusFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXCheckBoxParamValue.cpp b/src/frontend_fox/FXCheckBoxParamValue.cpp
--- a/src/frontend_fox/FXCheckBoxParamValue.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/FXCheckBoxParamValue.cpp	2014-03-14 05:29:25.485298228 -0500
@@ -50,7 +50,7 @@
 {
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXComboTextParamValue.cpp b/src/frontend_fox/FXComboTextParamValue.cpp
--- a/src/frontend_fox/FXComboTextParamValue.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/FXComboTextParamValue.cpp	2014-03-14 05:29:25.486298228 -0500
@@ -60,7 +60,7 @@
 {
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXConstantParamValue.cpp b/src/frontend_fox/FXConstantParamValue.cpp
--- a/src/frontend_fox/FXConstantParamValue.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/FXConstantParamValue.cpp	2014-03-14 05:29:25.487298228 -0500
@@ -94,7 +94,7 @@
 {
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXDiskEntityParamValue.cpp b/src/frontend_fox/FXDiskEntityParamValue.cpp
--- a/src/frontend_fox/FXDiskEntityParamValue.cpp	2014-03-14 05:25:15.477307430 -0500
+++ b/src/frontend_fox/FXDiskEntityParamValue.cpp	2014-03-14 05:29:25.487298228 -0500
@@ -70,7 +70,7 @@
 
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXGraphParamValue.cpp b/src/frontend_fox/FXGraphParamValue.cpp
--- a/src/frontend_fox/FXGraphParamValue.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/FXGraphParamValue.cpp	2014-03-14 05:29:25.490298228 -0500
@@ -82,7 +82,7 @@
 		flags|=FLAG_SHOWN; // I have to do this, or it will not show up.. like height is 0 or something
 
 		FXFontDesc d;
-		font->getFontDesc(d);
+		d = font->getFontDesc();
 		d.weight=FONTWEIGHT_LIGHT;
 		d.size=65;
 		font=new FXFont(getApp(),d);
@@ -189,7 +189,7 @@
 		flags|=FLAG_SHOWN; // I have to do this, or it will not show up.. like height is 0 or something
 
 		FXFontDesc d;
-		font->getFontDesc(d);
+		d = font->getFontDesc();
 		d.weight=FONTWEIGHT_LIGHT;
 		d.size=65;
 		font=new FXFont(getApp(),d);
@@ -354,7 +354,7 @@
 {
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXLFOParamValue.cpp b/src/frontend_fox/FXLFOParamValue.cpp
--- a/src/frontend_fox/FXLFOParamValue.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/FXLFOParamValue.cpp	2014-03-14 05:29:25.491298228 -0500
@@ -92,7 +92,7 @@
 
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXPluginRoutingParamValue.cpp b/src/frontend_fox/FXPluginRoutingParamValue.cpp
--- a/src/frontend_fox/FXPluginRoutingParamValue.cpp	2014-03-14 05:25:15.476307430 -0500
+++ b/src/frontend_fox/FXPluginRoutingParamValue.cpp	2014-03-14 05:29:25.496298228 -0500
@@ -207,7 +207,7 @@
 
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size=80;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXRezWaveView.cpp b/src/frontend_fox/FXRezWaveView.cpp
--- a/src/frontend_fox/FXRezWaveView.cpp	2014-03-14 05:25:15.477307430 -0500
+++ b/src/frontend_fox/FXRezWaveView.cpp	2014-03-14 05:29:45.815297480 -0500
@@ -341,7 +341,7 @@
 	flags|=FLAG_SHOWN; // I have to do this, or it will not show up.. like height is 0 or something
 
 	FXFontDesc d;
-	font->getFontDesc(d);
+	d = font->getFontDesc();
 	d.weight=FONTWEIGHT_LIGHT;
 	d.size=65;
 	font=new FXFont(getApp(),d);
diff -ur a/src/frontend_fox/FXTextParamValue.cpp b/src/frontend_fox/FXTextParamValue.cpp
--- a/src/frontend_fox/FXTextParamValue.cpp	2014-03-14 05:25:15.477307430 -0500
+++ b/src/frontend_fox/FXTextParamValue.cpp	2014-03-14 05:29:25.498298228 -0500
@@ -67,7 +67,7 @@
 
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
@@ -95,7 +95,7 @@
 {
 	// create a smaller font to use 
         FXFontDesc d;
-        textFont->getFontDesc(d);
+        d = textFont->getFontDesc();
         d.size-=10;
         textFont=new FXFont(getApp(),d);
 
diff -ur a/src/frontend_fox/FXWaveScrollArea.cpp b/src/frontend_fox/FXWaveScrollArea.cpp
--- a/src/frontend_fox/FXWaveScrollArea.cpp	2014-03-14 05:25:15.478307430 -0500
+++ b/src/frontend_fox/FXWaveScrollArea.cpp	2014-03-14 05:38:06.150279065 -0500
@@ -65,7 +65,7 @@
 	FXMAPFUNC(SEL_LEFTBUTTONRELEASE,	FXWaveScrollArea::ID_CANVAS,	FXWaveScrollArea::onMouseUp),
 	FXMAPFUNC(SEL_RIGHTBUTTONRELEASE,	FXWaveScrollArea::ID_CANVAS,	FXWaveScrollArea::onMouseUp),
 	FXMAPFUNC(SEL_MOTION,			FXWaveScrollArea::ID_CANVAS,	FXWaveScrollArea::onMouseMove),
-	FXMAPFUNC(SEL_TIMEOUT,			FXWindow::ID_AUTOSCROLL,	FXWaveScrollArea::onAutoScroll),
+	FXMAPFUNC(SEL_TIMEOUT,			FXScrollArea::ID_AUTOSCROLL,	FXWaveScrollArea::onAutoScroll),
 
 #if FOX_MAJOR >= 1
 	// re-route the mouse wheel event to scroll/zoom horizontally instead of its default, scrolling vertically
@@ -170,7 +170,7 @@
 void FXWaveScrollArea::setHorzOffset(sample_pos_t offset)
 {
 	//canvas->setHorzOffset(offset); will get called by calling setPosition()
-	setPosition(-offset,getYPosition());
+	setPosition(-offset,getContentY());
 }
 
 sample_pos_t FXWaveScrollArea::getHorzOffset() const
@@ -181,7 +181,7 @@
 void FXWaveScrollArea::setVertOffset(int offset)
 {
 	//canvas->setVertOffset(offset); will get called by calling setPosition()
-	setPosition(getXPosition(),-offset);
+	setPosition(getContentX(),-offset);
 }
 
 int FXWaveScrollArea::getVertOffset() const
diff -ur a/src/frontend_fox/main.cpp b/src/frontend_fox/main.cpp
--- a/src/frontend_fox/main.cpp	2014-03-14 05:25:15.477307430 -0500
+++ b/src/frontend_fox/main.cpp	2014-03-14 05:29:25.503298228 -0500
@@ -320,7 +320,7 @@
 void printNormalFontProperties(FXApp *application)
 {
 	FXFontDesc desc;
-	application->getNormalFont()->getFontDesc(desc);
+	desc = application->getNormalFont()->getFontDesc();
 	printf("normal font {\n");
 	printf("\tface: '%s'\n",desc.face);
 	printf("\tsize: %d\n",desc.size);
